package textures.mobs.rabbit;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class RabbitSleepTextures {

	public static void getTextures(BufferedImage image){
		/*** SOUTH SLEEP ***/
		Textures.rabbitSheet[96] = Utils.grabSprite(image, 13, 1, 20, 20);
		Textures.rabbitSheet[97] = Utils.grabSprite(image, 14, 1, 20, 20);
		
		/*** NORTH SLEEP ***/
		Textures.rabbitSheet[98] = Utils.grabSprite(image,13, 2, 20, 20);
		Textures.rabbitSheet[99] = Utils.grabSprite(image,14, 2, 20, 20);

		/*** WEST SLEEP ***/
		Textures.rabbitSheet[100] = Utils.grabSprite(image,13, 3, 20, 20);
		Textures.rabbitSheet[101] = Utils.grabSprite(image,14, 3, 20, 20);

		/*** EAST SLEEP ***/
		Textures.rabbitSheet[102] = Utils.reverseImage(Utils.grabSprite(image,13, 3, 20, 20));
		Textures.rabbitSheet[103] = Utils.reverseImage(Utils.grabSprite(image,14, 3, 20, 20));

		/*** NORTHWEST SLEEP ***/
		Textures.rabbitSheet[104] = Utils.grabSprite(image,13, 4, 20, 20);
		Textures.rabbitSheet[105] = Utils.grabSprite(image, 14, 4, 20, 20);

		/*** NORTHEAST SLEEP ***/
		Textures.rabbitSheet[106] = Utils.reverseImage(Utils.grabSprite(image, 13, 4, 20, 20));
		Textures.rabbitSheet[107] = Utils.reverseImage(Utils.grabSprite(image, 14, 4, 20, 20));

		/*** SOUTHWEST SLEEP ***/
		Textures.rabbitSheet[108] = Utils.grabSprite(image, 13, 5, 20, 20);
		Textures.rabbitSheet[109] = Utils.grabSprite(image, 14, 5, 20, 20);

		/*** SOUTHEAST SLEEP ***/
		Textures.rabbitSheet[110] = Utils.reverseImage(Utils.grabSprite(image, 13, 5, 20, 20));
		Textures.rabbitSheet[111] = Utils.reverseImage(Utils.grabSprite(image, 14, 5, 20, 20));
	}
	
}
